<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__flash__macros" kind="group">
    <compoundname>group_flash_macros</compoundname>
    <title>Macros</title>
    <innergroup refid="group__group__flash__general__macros">Flash general parameters</innergroup>
    <innergroup refid="group__group__flash__config__macros">Flash configuration</innergroup>
      <sectiondef kind="define">
      <memberdef id="group__group__flash__macros_1ga6c7174e2333a100e9669319035e65e7e" kind="define" prot="public" static="no">
        <name>CY_FLASH_DRV_VERSION_MAJOR</name>
        <initializer>3</initializer>
        <briefdescription>
<para>Driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" bodystart="400" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="400" />
      </memberdef>
      <memberdef id="group__group__flash__macros_1ga0f1780c6c3e9ef443f1b56bcf7566800" kind="define" prot="public" static="no">
        <name>CY_FLASH_DRV_VERSION_MINOR</name>
        <initializer>40</initializer>
        <briefdescription>
<para>Driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" bodystart="403" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="403" />
      </memberdef>
      <memberdef id="group__group__flash__macros_1ga8d66ff720033b079f855b683cb6b0988" kind="define" prot="public" static="no">
        <name>CY_FLASH_ID</name>
        <initializer>(<ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x14UL))</initializer>
        <briefdescription>
<para>FLASH PDL ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" bodystart="405" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="405" />
      </memberdef>
      <memberdef id="group__group__flash__macros_1ga2f23d8b551ffad8f48e9d24c5e7e7c24" kind="define" prot="public" static="no">
        <name>CY_FLASH_ID_INFO</name>
        <initializer>(uint32_t)( <ref kindref="member" refid="group__group__flash__macros_1ga8d66ff720033b079f855b683cb6b0988">CY_FLASH_ID</ref> | <ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga0ba3882d87b982ff4358b6f0b7a95556">CY_PDL_STATUS_INFO</ref> )</initializer>
        <briefdescription>
<para>Return prefix for FLASH driver function status codes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" bodystart="407" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="407" />
      </memberdef>
      <memberdef id="group__group__flash__macros_1ga35b95c0f3e98f5afffe4da7923b97103" kind="define" prot="public" static="no">
        <name>CY_FLASH_ID_WARNING</name>
        <initializer>(uint32_t)( <ref kindref="member" refid="group__group__flash__macros_1ga8d66ff720033b079f855b683cb6b0988">CY_FLASH_ID</ref> | <ref kindref="member" refid="group__group__syslib__macros__status__codes_1gaa58a2f0e42403136f010e7982e6e5b7f">CY_PDL_STATUS_WARNING</ref>)</initializer>
        <briefdescription>
<para>Return prefix for FLASH driver function warning return values. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" bodystart="408" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="408" />
      </memberdef>
      <memberdef id="group__group__flash__macros_1gad99538138fea8f6bea8019392b2ff6de" kind="define" prot="public" static="no">
        <name>CY_FLASH_ID_ERROR</name>
        <initializer>(uint32_t)( <ref kindref="member" refid="group__group__flash__macros_1ga8d66ff720033b079f855b683cb6b0988">CY_FLASH_ID</ref> | <ref kindref="member" refid="group__group__syslib__macros__status__codes_1gaea5a4ae400ef551a3ef0b15a13ba8070">CY_PDL_STATUS_ERROR</ref>)</initializer>
        <briefdescription>
<para>Return prefix for FLASH driver function error return values. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" bodystart="409" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="409" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>